Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1564670 - [abrt] finish_wait: WARNING: CPU: 0 PID: 117 at drivers/gpu/drm/drm_vblank.c:1073 drm_wait_one_vblank+0x166/0x180 [drm]
Summary: [abrt] finish_wait: WARNING: CPU: 0 PID: 117 at drivers/gpu/drm/drm_vblank.c:...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e374ceaadbaf2bb305c19a7fefb...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-06 20:28 UTC by Lukáš Polívka
Modified: 2019-05-28 19:53 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 19:53:52 UTC
Type: ---


Attachments (Terms of Use)
File: dmesg (82.44 KB, text/plain)
2018-04-06 20:28 UTC, Lukáš Polívka
no flags Details

Description Lukáš Polívka 2018-04-06 20:28:10 UTC
Description of problem:
Tried booting with a new (current) kernel.

I can boot fine-ish with 4.14.11-300.fc27.x86_64 (hardware acceleration does not seem to work as glxinfo only reports llvime OpenGL driver), but even later (current) fc27 kernels (4.15-ish) would hang.
Same thing with fc28 beta now.

I have a ThinkPad T420 with Nvidia Optimus. I'll need to (re-)test if enabling/disabling Optimus and/or enablind/disabling the Intel VT-d in BIOS and similar tricks help.

Additional info:
reporter:       libreport-2.9.4
WARNING: CPU: 0 PID: 117 at drivers/gpu/drm/drm_vblank.c:1073 drm_wait_one_vblank+0x166/0x180 [drm]
Modules linked in: i915 nouveau crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel mxm_wmi ttm i2c_algo_bit drm_kms_helper sdhci_pci serio_raw cqhci sdhci e1000e mmc_core drm ptp pps_core wmi video
CPU: 0 PID: 117 Comm: kworker/u16:3 Not tainted 4.16.0-300.fc28.x86_64 #1
Hardware name: LENOVO 4178A9G/4178A9G, BIOS 83ET76WW (1.46 ) 07/05/2013
Workqueue: events_unbound async_run_entry_fn
RIP: 0010:drm_wait_one_vblank+0x166/0x180 [drm]
RSP: 0018:ffffa032020f7940 EFLAGS: 00010286
RAX: 0000000000000000 RBX: ffff880666fe8000 RCX: 0000000000000000
RDX: 0000000000000000 RSI: 0000000000000002 RDI: 0000000000000202
RBP: 0000000000000000 R08: 0000000988538205 R09: 000000000000001f
R10: 6f2074756f206465 R11: 302063747263206e R12: 0000000000000000
R13: 0000000000000039 R14: ffff8806695e6c08 R15: ffff880666fe8000
FS:  0000000000000000(0000) GS:ffff88067e200000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007fed20197370 CR3: 00000002b920a005 CR4: 00000000000606f0
Call Trace:
 ? finish_wait+0x80/0x80
 ironlake_crtc_enable+0x4bb/0xc90 [i915]
 intel_update_crtc+0x39/0x90 [i915]
 intel_update_crtcs+0x47/0x60 [i915]
 intel_atomic_commit_tail+0x301/0xd60 [i915]
 intel_atomic_commit+0x2a6/0x2e0 [i915]
 restore_fbdev_mode_atomic+0x1a8/0x210 [drm_kms_helper]
 drm_fb_helper_restore_fbdev_mode_unlocked+0x45/0x90 [drm_kms_helper]
 drm_fb_helper_set_par+0x29/0x50 [drm_kms_helper]
 intel_fbdev_set_par+0x16/0x60 [i915]
 fbcon_init+0x488/0x600
 visual_init+0xd5/0x130
 do_bind_con_driver+0x1d9/0x2b0
 ? do_take_over_console+0x120/0x180
 ? do_fbcon_takeover+0x58/0xb0
 ? notifier_call_chain+0x47/0x70
 ? blocking_notifier_call_chain+0x3e/0x60
 ? register_framebuffer+0x250/0x340
 ? __drm_fb_helper_initial_config_and_unlock+0x213/0x420 [drm_kms_helper]
 ? intel_fbdev_initial_config+0x14/0x30 [i915]
 ? async_run_entry_fn+0x39/0x160
 ? process_one_work+0x187/0x340
 ? worker_thread+0x2e/0x380
 ? pwq_unbound_release_workfn+0xd0/0xd0
 ? kthread+0x112/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ? ret_from_fork+0x35/0x40
Code: db f8 0f 0b e9 2d ff ff ff 48 89 e6 4c 89 f7 e8 71 08 e0 f8 45 85 e4 0f 85 0f ff ff ff 89 ee 48 c7 c7 40 b0 30 c0 e8 a4 c2 db f8 <0f> 0b e9 fa fe ff ff e8 2e c0 db f8 0f 1f 40 00 66 2e 0f 1f 84

Comment 1 Lukáš Polívka 2018-04-06 20:28:29 UTC
Created attachment 1418339 [details]
File: dmesg

Comment 2 Lukáš Polívka 2018-04-13 14:45:31 UTC
Hi!

Indeed, when I disabled Nvidia Optimus and Intel VT-d I could at least boot the system, although OpenGL would still fall back to llvmpipe.

But with the current kernel 4.16.1-300.fc28.x86_64 I can re-enable Optimus (+Optimus OS detection) and VT-d and boot the system successfully and even get proper OpenGL support on both GPUs.

The only small glitch/issue is that now the bootsplash resolution / aspect ratio is not correct. The resolution is too low for my 1600 x 900 display and the aspect ratio is probably 4:3 stretched to my display's 16:9. (I'm ashamed to even mention this.)

Anyways, I like the progress. Years ago I could not boot Fedora on this laptop without ACPI workarounds, turning off Optimus and VT-d and now it's working out of the box. Good work!

Comment 3 Ben Cotton 2019-05-02 21:55:37 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2019-05-28 19:53:52 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.